﻿    @*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    @model Streaming;
    @using twitch.api;
}
@if (Model != null)
{
    <h1>Modifier le stream #@Model.Id @Model.Title</h1>
} else
{
    <h1>Créer un nouveau stream</h1>
}
<form asp-action="createStream" asp-controller="Twitcher" method="post" class="col-8">
        <label class="col-form-label">date du stream</label>
    @if (Model != null)
    {
        <input hidden name="id" value="@Model.Id"/>
        <input name="startTime" class="form-control" value="@Model.StartTime.Value.ToString("yyyy-MM-ddThh:mm")" type="datetime-local" />
    } else
    {
        <input hidden name="id" value=""/>
        <input type="datetime-local" name="startTime" class="form-control" />

    }
        <label class="col-form-label">titre</label>
    @if (Model != null)
    {
        <input type="text" name="title" class="form-control" value="@Model.Title"/>
    }
    else
    {
        <input type="text" name="title" class="form-control" />

    }

    @if (Model != null && Model.Status != StatutStream.Fini)
    {
        <div class="form-check form-switch mt-4">
            <input class="form-check-input" type="checkbox" role="switch" id="switchStatus" name="changeStatus" value="true">
            @if (Model.Status == StatutStream.AVenir)
            {
                <label class="form-check-label" for="switchStatus">Commencer le stream</label>
            }
            @if (Model.Status == StatutStream.EnCours)
            {
                <label class="form-check-label" for="switchStatus">Finir le stream</label>
            }
        </div>
    }
  <div class="col-8">
        <button type="submit" class="btn btn-primary mt-4">Valider</button>
    </div>

</form>

